@import "../../../styles/variables.scss";
@import "../../../styles/animations.scss";

.wizard-step-content-wrapper {
  overflow: hidden;

  .wizard-step-content {
    &-enter {
      opacity: 0;
    }

    &-enter-active {
      animation: fadeInUp $animation-duration;
    }

    &-exit {
      opacity: 1;
    }

    &-exit-active {
      animation: fadeOutUp $animation-duration;
    }
  }
}

.wizard-step-back {
  .wizard-step-content {
    &-enter {
      opacity: 0;
    }

    &-enter-active {
      animation: fadeInDown $animation-duration;
    }

    &-exit {
      opacity: 1;
    }

    &-exit-active {
      animation: fadeOutDown $animation-duration;
    }
  }
}
